{% extends 'base.html' %}
{% load static %}

{% block meta %}
        <title>Mata Kuliah</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" 
        href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
        crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css?family=Roboto:700&display=swap"rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700&display=swap" rel="stylesheet">
        <link href='https://fonts.googleapis.com/css?family=Lalezar' rel='stylesheet'>
        <link href="https://fonts.googleapis.com/css?family=Jura" rel='stylesheet'>
        <style type="text/css">
            
            body {
                font-family: 'Jura';
                background-image: url('{% static 'img/navbg.jpg' %}');
            }
            
        </style>

{% endblock meta %}

{% block content %}
<br>
<div class="container">
            <div class="row">
                <div class="col">
                    <form action='' method="POST">
                        {% csrf_token %}
                        {{ form }}
                        <br>
                        <div class="centre-items">
                            <input type="submit" class="btn btn-primary" value="Tambah Mata Kuliah">
                        </div>
                    </form>
                </div>
                <div class="col">
                    <table class="table">
                        <thead>
                            <tr>
                            <th scope="col">Nama</th>
                            <th scope="col">Dosen</th>
                            <th scope="col">SKS</th>
                            <th scope="col">Waktu</th>
                            <th scope="col">Ruang</th>
                            <th scope="col">Deskripsi</th>
                            <th scope="col">Delete</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for jadwal in sched %}
                                <tr>
                                <th scope="row"><a href="{% url 'Story5:detail' jadwal.id %}">{{jadwal.Nama}}</a></th>
                                <td>{{jadwal.Dosen}}</td>
                                <td>{{jadwal.SKS}}</td>
                                <td>{{jadwal.Waktu}}</td>
                                <td>{{jadwal.Ruang}}</td>
                                <td>{{jadwal.Deskripsi}}</td>
                                <td><a href="{% url 'Story5:Delete' pk=jadwal.pk %}"><button class="btn btn-icon btn-danger"><i class="fa fa-trash"></i></button></a></td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
        </div>

{% endblock content %}